import { select } from 'd3';

const svg = select('svg');

const width = +svg.attr('width');
const height = +svg.attr('height');

// Background for sky
svg
  .append('rect')
  .attr('width', width)
  .attr('height', height)
  .attr('fill', 'skyblue');

// Sun
svg
  .append('circle')
  .attr('cx', width - 100)
  .attr('cy', 100)
  .attr('r', 50)
  .attr('fill', 'yellow');

// Tree Trunk
svg
  .append('rect')
  .attr('x', 150)
  .attr('y', height - 200)
  .attr('width', 40)
  .attr('height', 150)
  .attr('fill', 'saddlebrown');

// Tree Leaves
svg
  .append('circle')
  .attr('cx', 170)
  .attr('cy', height - 250)
  .attr('r', 60)
  .attr('fill', 'green');

// Adding a simple dog shape
// Body
svg
  .append('rect')
  .attr('x', 50)
  .attr('y', height - 70)
  .attr('width', 60)
  .attr('height', 40)
  .attr('fill', 'brown');

// Head
svg
  .append('circle')
  .attr('cx', 110)
  .attr('cy', height - 70)
  .attr('r', 20)
  .attr('fill', 'brown');

// Tail
svg
  .append('rect')
  .attr('x', 30)
  .attr('y', height - 70)
  .attr('width', 20)
  .attr('height', 10)
  .attr('fill', 'brown')
  .attr('transform', `rotate(-45, ${50}, ${height - 70})`);

// Adding butterflies
// Butterfly 1
svg
  .append('circle') // Body
  .attr('cx', 300)
  .attr('cy', height - 150)
  .attr('r', 5)
  .attr('fill', 'black');

// Wings
svg
  .append('ellipse')
  .attr('cx', 290)
  .attr('cy', height - 150)
  .attr('rx', 10)
  .attr('ry', 20)
  .attr('fill', 'orange');

svg
  .append('ellipse')
  .attr('cx', 310)
  .attr('cy', height - 150)
  .attr('rx', 10)
  .attr('ry', 20)
  .attr('fill', 'orange');

// Butterfly 2
svg
  .append('circle') // Body
  .attr('cx', 350)
  .attr('cy', height - 100)
  .attr('r', 5)
  .attr('fill', 'black');

// Wings
svg
  .append('ellipse')
  .attr('cx', 340)
  .attr('cy', height - 100)
  .attr('rx', 10)
  .attr('ry', 20)
  .attr('fill', 'purple');

svg
  .append('ellipse')
  .attr('cx', 360)
  .attr('cy', height - 100)
  .attr('rx', 10)
  .attr('ry', 20)
  .attr('fill', 'purple');
